import SingleBlog from "@components/top-level/single-blog";
import Loading from "app/loading";
import { getPostById } from "@lib/api";

const fetchBlogById = async (id) => {
  try {
    const blogPost = await getPostById("posts", id);
    return blogPost[0];
  } catch (error) {
    console.error("Error fetching blog:", error.message);
    return null;
  }
};

const SingleBlogApp = async ({ params: { id } }) => {
  const blog = await fetchBlogById(id);

  return <div>{blog ? <SingleBlog {...blog} /> : <Loading />}</div>;
};

export default SingleBlogApp;
